nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Attributes | List of all members
nx::sdk::ref_countable_ut::OldObject Class Reference
Inheritance diagram for nx::sdk::ref_countable_ut::OldObject:

## Public Member Functions
| OldObject (const OldObject &)=delete
OldObject & | operator= (const OldObject &)=delete
| OldObject (OldObject &&)=delete
OldObject & | operator= (OldObject &&)=delete
virtual void * | queryInterface (const OldInterfaceId &id) override
virtual unsigned int | addRef () const override
virtual unsigned int | releaseRef () const override
virtual int | refCountForTest () const override
Public Member Functions inherited from nx::sdk::ref_countable_ut::OldInterface
virtual | ~OldInterface ()=default
virtual const char * | interfaceIdForTest ()

## Static Public Attributes
static bool | s_destructorCalled = false

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::ref_countable_ut::OldInterface
static const OldInterfaceId & | interfaceId ()

## Detailed Description

Mock for an object implementing the old SDK interface - used for compatibility testing.

## Member Function Documentation

## ◆ addRef()

virtual unsigned int nx::sdk::ref_countable_ut::OldObject::addRef | ( |  | ) | const
| inline override virtual

VMT #2.

Implements nx::sdk::ref_countable_ut::OldInterface.

## ◆ queryInterface()

virtual void* nx::sdk::ref_countable_ut::OldObject::queryInterface | ( | const OldInterfaceId & | id | ) |
| inline override virtual

#1 in VMT.

Implements nx::sdk::ref_countable_ut::OldInterface.

## ◆ refCountForTest()

virtual int nx::sdk::ref_countable_ut::OldObject::refCountForTest | ( |  | ) | const
| inline override virtual

VMT #5 - added for tests; couples with the same method of NewInterface.

Implements nx::sdk::ref_countable_ut::OldInterface.

## ◆ releaseRef()

virtual unsigned int nx::sdk::ref_countable_ut::OldObject::releaseRef | ( |  | ) | const
| inline override virtual

VMT #3.

Implements nx::sdk::ref_countable_ut::OldInterface.

The documentation for this class was generated from the following file:

- unit_tests/src/ref_countable_ut.cpp